GET /fileservice

GET /fileservice

/fileservice

Request
URI
GET
https://{api_host}/api/fileservice
COPY
Query Parameters
string
uri
Required  

Same mandatory ?uri= semantics as the list_files GET action above.

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns FileServiceListing of type(s) application/json
{
    "count": 0,
    "results": [
        {
            "md5checksum": "string",
            "modified": "string",
            "name": "string",
            "size": "string",
            "stack_trace": "string",
            "status": "string",
            "url": "string"
        }
    ]
}
integer As uint32 As uint32
count
Required  

Number of entries in results. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
results
Optional

Directory listing entries for the requested controller // sub-directory. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/fileservice?uri=v